# Uses of Interface
jebl.evolution.align.PairwiseAligner

Packages that use PairwiseAligner
Package
Description
jebl.evolution.align
Provides classes and interfaces for pairwise alignment of two sequences.

## Uses of PairwiseAligner in jebl.evolution.align

Classes in jebl.evolution.align that implement PairwiseAligner
Modifier and Type
Class
Description
`class`
`NeedlemanWunschLinearSpaceAffine`
Methods in jebl.evolution.align with parameters of type PairwiseAligner
Modifier and Type
Method
Description
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, PairwiseAligner aligner, ProgressListener progressListener)`
Will use model F84 for nucleotides and Jukes-Cantor for amino acid
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, PairwiseAligner aligner, ProgressListener progressListener, TreeBuilderFactory.DistanceModel model)`
Constructors in jebl.evolution.align with parameters of type PairwiseAligner
Modifier
Constructor
Description
``
`SequenceAlignmentsDistanceMatrix(List<Sequence> seqs, PairwiseAligner aligner, ProgressListener progress)`
``
`SequenceAlignmentsDistanceMatrix(List<Sequence> seqs, PairwiseAligner aligner, ProgressListener progress, TreeBuilderFactory.DistanceModel model)`